### Name: pml
### Title: Likelihood of a tree.
### Aliases: pml print.pml summary.pml print.summary.pml optim.pml
###   logLik.pml predict.pml vcov.pml
### Keywords: cluster

### ** Examples

  example(NJ)
# Jukes-Cantor + Gamma + I   
  fitJC <- pml(tree, Laurasiatherian, k=4, inv=.25) 
  summary(fitJC)
# just optimise edge length parameter     
  fitJC <- optim.pml(fitJC) 
  summary(fitJC)
  plot(fitJC$tree)
  
## Not run: 
##D # optimise parameter     
##D   fitJC <- optim.pml(fitJC, optNni=TRUE, optGamma=TRUE, optInv=TRUE) 
##D   summary(fitJC)
##D # F81 + Gamma + I - model
##D   fitF81 <- optim.pml(fitJC, optNni=TRUE, optGamma=TRUE, optInv=TRUE, optBf=TRUE)
##D   summary(fitF81) 
##D # GTR + Gamma + I - model
##D   fitGTR <- optim.pml(fitF81, optNni=TRUE, optGamma=TRUE, optInv=TRUE, optBf=TRUE, optQ=TRUE) 
##D   summary(fitGTR)
## End(Not run)

# 2-state data (RY-coded)  
    
  dat <- as.character(Laurasiatherian)
  # RY-coding
  dat[dat=="a"] <- "r"
  dat[dat=="g"] <- "r"
  dat[dat=="c"] <- "y"
  dat[dat=="t"] <- "y"
  dat <- phyDat(dat, levels=c("r","y"))
  fit2ST <- pml(tree, dat, k=4, inv=.25) 
  fit2ST <- optim.pml(fit2ST,optNni=TRUE, optGamma=TRUE, optInv=TRUE) 
  
  methods(class="pml")  



